
data mydata;
infile 'd:\epi697\pfidrg97.dat';
input
pfi   $   1-4
drg   $   5-7
los       8-11
disch    12-17
;
run;

proc freq data=mydata order=freq; ;
table pfi / out=low (where=(count lt 100));
weight disch;
where drg between '370' and '375' or
      drg between '650' and '652';
run;

proc sql noprint;
select quote(pfi) into :lowcount
separated by ' and pfi ne '
from low;
quit;

proc univariate data=mydata;
*proc univariate data=mydata nextrobs=20 nextrval=20;
where pfi ne &lowcount;
var los;
freq disch;
id pfi drg;
run;
